Job Operation Note
The job operation note resource.
Basehttps://rest.carbon.ms/jobOperationNote
GET
/jobOperationNoteList job operation notes
Retrieve a paginated list of job operation notes. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/jobOperationNote
curl --request GET \
--url 'https://rest.carbon.ms/jobOperationNote?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"jobOperationId": "xyz789",
"note": "string",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}
]GET
/jobOperationNoteRetrieve a job operation note
Fetch a single job operation note by filtering on `id`.
Query parameters
idstringMatch on the job operation note's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/jobOperationNote
curl --request GET \
--url 'https://rest.carbon.ms/jobOperationNote?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"jobOperationId": "xyz789",
"note": "string",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}POST
/jobOperationNoteCreate a job operation note
Create a new job operation note.
Body parameters
jobOperationIdstringrequirednotestringrequiredcompanyIdstringrequiredReferences company.id
productionQuantityIdstringReferences productionQuantity.id
POSThttps://rest.carbon.ms/jobOperationNote
curl --request POST \
--url https://rest.carbon.ms/jobOperationNote \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"jobOperationId":"xyz789","note":"string","companyId":"xyz789"}'Response
{
"id": "abc123def456",
"jobOperationId": "xyz789",
"note": "string",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}PATCH
/jobOperationNoteUpdate a job operation note
Update an existing job operation note, matched on `id`.
Body parameters
jobOperationIdstringrequirednotestringrequiredcompanyIdstringrequiredReferences company.id
productionQuantityIdstringReferences productionQuantity.id
PATCHhttps://rest.carbon.ms/jobOperationNote
curl --request PATCH \
--url 'https://rest.carbon.ms/jobOperationNote?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"jobOperationId":"xyz789"}'Response
{
"id": "abc123def456",
"jobOperationId": "xyz789",
"note": "string",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}DELETE
/jobOperationNoteDelete a job operation note
Delete a job operation note, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the job operation note to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/jobOperationNote
curl --request DELETE \
--url 'https://rest.carbon.ms/jobOperationNote?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content